function buscarAt()
{       
	alert("busca");
		var tema = document.getElementById("tituloBusca").value;
		var assunto = document.getElementById("selecaoTema").value;
		alert(assunto);

            var ajax = openAjax();
            var url = "teste?tituloBusca="+tema+"&selecaoTema="+assunto;
	    	ajax.open("GET", url , true); 
	    	
            ajax.onreadystatechange = function()
            {
               if(ajax.status == 200)
                    {
            	
                       populateJSON(ajax);
                    }
                      
                
            }            
            ajax.send(null); // submete

}

function exibePaginaFatoracao(){
	if(document.getElementById("main").style.display == 'block'){
		document.getElementById("main").style.display = 'none';
		document.getElementById("fatoracao").style.display = 'block';
	}	else{
		document.getElementById("fatoracao").style.display = 'block';
	}
}

function exibePaginaDicas(){
	if(document.getElementById("main").style.display == 'block'){
		document.getElementById("main").style.display = 'none';
		document.getElementById("dicasAritmetica").style.display = 'block';
	}	else{
		document.getElementById("dicasAritmetica").style.display = 'block';
	}
}

function buscarAluno()
{       
		var nome = document.getElementById("campoNomeAluno").value;
		var identidade = document.getElementById("campoIdentidadeAluno").value;
		var turma = document.getElementById("campoTurmaAluno").value;
		
		
		

            var ajax = openAjax();
            
	    	ajax.open("GET", "buscarAluno?campoNomeAluno="+nome+"&campoIdentidadeAluno="+identidade + "&campoTurmaAluno="+turma, true); 
            ajax.onreadystatechange = function()
            {
               if(ajax.status == 200)
                    {
                       populateJSONAlunos(ajax);
                       
                    }
                      
                
            } 
            
            document.getElementById("campoNomeAluno").value ="";
    		document.getElementById("campoIdentidadeAluno").value="";
    		document.getElementById("campoTurmaAluno").value="";
            
            ajax.send(null); // submete

}




function carregarAt()
{     
		var logado = document.getElementById('logado').value;
		
		

            var ajax = openAjax();
		
	    	ajax.open("GET", "carregaAt?logado="+logado, true); 
	    	
            ajax.onreadystatechange = function()
            {
               if(ajax.status == 200)
                    {
                       
                       populateAtividades(ajax);
                      
                    }
                      
                
            }
        	
            
            ajax.send(null); // submete

}



function populateJSON(j){
	
	
	var jasonData = j.responseText;
	var myJSONObject = eval('('+jasonData+')');
	var ats = new Array();
	ats = myJSONObject.ATIV;
	removeRowsFromTable('table');
	for ( var int = 0; int < ats.length; int++) {
		addRowToTable(ats[int].nomeAtividade,ats[int].assuntoRelacionado,ats[int].tipo);
	}
	
	}

function populateJSONAlunos(j){

	var jasonData = j.responseText;	
	var myJSONObject = eval('('+jasonData+')');
	var alunos = new Array();
	alunos = myJSONObject.ALU;
	
	
	removeRowsFromTable('tableAluno')
	for ( var int = 0; int < alunos.length; int++) {
		adicionaAlunoNaBusca(alunos[int].nome,alunos[int].turma,alunos[int].identidade);
	}
	
	}



function populateAtividades(j){
	
	
	var jasonData = j.responseText;
	var myJSONObject = eval('('+jasonData+')');
	var ats = new Array();
	ats = myJSONObject.ATIV;
	removeRowsFromTable('atividadesPorAluno');
	for ( var int = 0; int < ats.length; int++) {
		novalinhaAtividadesAluno(ats[int].nomeAtividade);
	}
	
	
	}


function verificacampos()
{

var nome = document.getElementById("alunoNome").value;
var idade = document.getElementById("alunoIdade").value;
var turma = document.getElementById("alunoTurma").value;
var identidade = document.getElementById("alunoIdentidade").value;
var login = document.getElementById("alunoLogin").value;
var senha = document.getElementById("alunoSenha").value;


if (nome == "" || idade == "" || turma == "" || identidade == "" || login == "" || senha == "")
{
    alert('É necessário o preenchimento de todos os campos');
   // return false;
}
else
{
        salvar();

}

}



function  verificacamposProfessor()
{

var nome = document.getElementById("professorNome").value;
var identidade = document.getElementById("professorIdentidade").value;
var disciplina = document.getElementById("professorDisciplina").value;
var login = document.getElementById("professorLogin").value;
var senha = document.getElementById("professorSenha").value;

if (nome == "" || identidade == "" || disciplina == "" || login == "" || senha == "")
{
    alert('É necessário o preenchimento de todos os campos!');
    //return false;
}
else
{
        salvarProfessor();

}

}

function openAjax() {

var ajax;

try{
    ajax = new XMLHttpRequest(); // XMLHttpRequest para Firefox, Safari, dentre outros.
}catch(ee){
    try{
        ajax = new ActiveXObject("Msxml2.XMLHTTP"); // Para o Internet Explorer
    }catch(e){
        try{
            ajax = new ActiveXObject("Microsoft.XMLHTTP"); // Para o Internet Explorer
        }catch(E){
            ajax = false;
        }
    }
}
return ajax;
}


function salvar()
{       var nome = document.getElementById('alunoNome').value; //Note que as variáveis são resgatadas pela função getElementById.
        var idade = document.getElementById('alunoIdade').value;
        var turma = document.getElementById('alunoTurma').value;
        var identidade = document.getElementById('alunoIdentidade').value;
        var senha = document.getElementById('alunoSenha').value;
        var login = document.getElementById('alunoLogin').value;

        var habitacao = document.getElementById('checkHabitacao').checked; //Note que as variáveis são resgatadas pela função getElementById.
        var violencia = document.getElementById('checkViolencia').checked;
        var emprego = document.getElementById('checkEmprego').checked;
        var meioAmbiente = document.getElementById('checkMeioAmbiente').checked;
        var saude = document.getElementById('checkSaude').checked;
        var impostos = document.getElementById('checkImpostos').checked;
        var globalizacao = document.getElementById('checkGlobalizacao').checked; //Note que as variáveis são resgatadas pela função getElementById.
        var educacao = document.getElementById('checkEducacao').checked;
        var economia = document.getElementById('checkEconomia').checked;
        var operacao = document.getElementById('operacao').value = "CadastraAluno";
        
        var exibeResultado = document.getElementById('exibeResultadoAluno');

            var ajax = openAjax(); // Inicia o Ajax.
            ajax.open("GET", "cadastraAluno?alunoNome=" + nome +"&alunoIdade=" + idade + "&alunoTurma=" + turma + "&alunoIdentidade=" + identidade + "&alunoLogin=" + login + "&alunoSenha="+senha +"&checkHabitacao=" + habitacao +"&checkViolencia=" + violencia + "&checkEmprego=" + emprego + "&checkMeioAmbiente=" + meioAmbiente +"&checkSaude=" + saude + "&checkImpostos=" + impostos + "&checkGlobalizacao="+ globalizacao +"&checkEducacao="+educacao+"&checkEconomia="+economia+"&operacao="+operacao , true); // Envia o termo da busca como uma querystring, nos possibilitando o filtro na busca.
            ajax.onreadystatechange = function()
            {
                if(ajax.readyState == 1) // Quando estiver carregando, exibe: carregando...
                {
                    exibeResultado.innerHTML = "Inserindo";
                }
                if(ajax.readyState == 4) // Quando estiver tudo pronto.
                {
                    if(ajax.status == 200)
                    {
                        var resultado = ajax.responseText;
                        exibeResultado.innerHTML = resultado;
                        exibeResultado.innerHTML = "Cadastrado";
                    }
                      else
                      {
                          exibeResultado.innerHTML = "Erro na cadastramento";
                      }
                }
            }
            ajax.send(null); // submete
            document.getElementById("alunoNome").value= "";//limpa os campos
            document.getElementById("alunoIdade").value= "";
            document.getElementById("alunoIdentidade").value= "";
            document.getElementById("alunoTurma").value="";
            document.getElementById("alunoSerie").value="";
            document.getElementById("alunoSenha").value="";
            document.getElementById("alunoLogin").value= "";

            document.getElementById('checkHabitacao').checked =false; //Note que as variáveis são resgatadas pela função getElementById.
            document.getElementById('checkViolencia').checked = false;
            document.getElementById('checkEmprego').checked = false;
            document.getElementById('checkMeioAmbiente').checked = false;
            document.getElementById('checkSaude').checked = false;
            document.getElementById('checkImpostos').checked = false;
            document.getElementById('checkGlobalizacao').checked = false; //Note que as variáveis são resgatadas pela função getElementById.
            document.getElementById('checkEducacao').checked = false;
            document.getElementById('checkEconomia').checked = false;
            
            
            document.getElementById("alunoNome").setFocus = true;
}


function salvarProfessor()
{
        var nome = escape(document.getElementById('professorNome').value); //Note que as variáveis são resgatadas pela função getElementById.
        var identidade = document.getElementById('professorIdentidade').value;
        var disciplina = document.getElementById('professorDisciplina').value;
        var login = document.getElementById('professorLogin').value;
        var senha = document.getElementById('professorSenha').value;
        var operacao = document.getElementById('operacao').value="CadastraProfessor";
        

        var exibeResultado = document.getElementById('exibeResultadoProfessor');

            var ajax = openAjax(); // Inicia o Ajax.
            ajax.open("GET", "cadastroProfessor?professorNome=" + nome +"&professorIdentidade=" + identidade + "&professorDisciplina=" + disciplina +  "&professorLogin=" + login + "&professorSenha="+senha + "&operacao="+operacao , true); // Envia o termo da busca como uma querystring, nos possibilitando o filtro na busca.
            ajax.onreadystatechange = function()
            {
                if(ajax.readyState == 1) // Quando estiver carregando, exibe: carregando...
                {
                    exibeResultado.innerHTML = "Inserindo";
                }
                if(ajax.readyState == 4) // Quando estiver tudo pronto.
                {
                    if(ajax.status == 200)
                    {
                        var resultado = ajax.responseText;
                        exibeResultado.innerHTML = resultado;
                        exibeResultado.innerHTML = "Cadastrado";
                    }
                      else
                      {
                          exibeResultado.innerHTML = "Erro no cadastramento";
                      }
                }
            }
            ajax.send(null); // submete
            document.getElementById("professorNome").value= "";//limpa os campos
            document.getElementById("professorIdentidade").value= "";
            document.getElementById("professorDisciplina").value= "";
            document.getElementById("professorSenha").value="";
            document.getElementById("professorLogin").value= "";
            document.getElementById("professorNome").setFocus = true;
}


function exibe() {  
if(document.getElementById('div_ocultar').style.display == 'block'){
document.getElementById('div_ocultar').style.display = 'none';

}else  {
 document.getElementById('div_ocultar').style.display = 'block';
}


}

function atualizaPonteiro(){
	var ativo = document.getElementById('ativo');
	if(ativo.value=='cadAluno'){
		var teste = document.getElementById('current');
		teste.setAttribute('id', 'cadAluno');
	}else if(ativo.value=='cadProfessor'){
		var teste2 = document.getElementById('current');
		teste2.setAttribute('id', 'cadProfessor');
	}
	var teste3 = document.getElementById('pagInic');
	teste3.setAttribute('id', 'current');
	ativo.value = 'pagInic';
	
	if(document.getElementById('cadastro').style.display == 'block' || document.getElementById('cadastroProfessor').style.display == 'block'){
		document.getElementById('main').style.display = 'block';
		document.getElementById('cadastroProfessor').style.display = 'none';
		document.getElementById('cadastro').style.display = 'none';
		} else{
				document.getElementById('main').style.display = 'block';
		}
		 
	
	
	
}

function exibeCadastro() {  
	
	var ativo = document.getElementById('ativo');
	if(ativo.value=='pagInic'){
		var teste = document.getElementById('current');
		teste.setAttribute('id', 'pagInic');
	}else if(ativo.value=='cadProfessor'){
		var teste2 = document.getElementById('current');
		teste2.setAttribute('id', 'cadProfessor');
	}
	var teste3 = document.getElementById('cadAluno');
	teste3.setAttribute('id', 'current');
	ativo.value = 'cadAluno';
	
	
	
	
	if(document.getElementById('main').style.display == 'block' || document.getElementById('cadastroProfessor').style.display == 'block'){
	document.getElementById('main').style.display = 'none';
	document.getElementById('cadastroProfessor').style.display = 'none';
	document.getElementById('cadastro').style.display = 'block';
	} else{
			document.getElementById('cadastro').style.display = 'block';
	}
	 }

function exibeAtualizacaoCadastroAluno() {  
	//document.getElementById('cadastroProfessor').style.display = 'none';
	if(document.getElementById('main').style.display == 'block' || document.getElementById('buscaAtividades').style.display == 'block' || document.getElementById('atividade').style.display == 'block'){
	document.getElementById('main').style.display = 'none';
	document.getElementById('buscaAtividades').style.display = 'none'
	document.getElementById('cadastro').style.display = 'block';
	document.getElementById('atividade').style.display = 'none';
	} else{
			document.getElementById('cadastro').style.display = 'block';
		}
	 }


function exibeCadastroProfessor() { 
	
	var ativo = document.getElementById('ativo');
	if(ativo.value=='pagInic'){
		var teste = document.getElementById('current');
		teste.setAttribute('id', 'pagInic');
	}else if(ativo.value=='cadAluno'){
		var teste2 = document.getElementById('current');
		teste2.setAttribute('id', 'cadAluno');
	}
	var teste3 = document.getElementById('cadProfessor');
	teste3.setAttribute("id", 'current');
	ativo.value = 'cadProfessor';
	
	if(document.getElementById('main').style.display == 'block')
	{
		document.getElementById('main').style.display = 'none';		
		document.getElementById('cadastroProfessor').style.display = 'block';
	}
	else 
	{
		document.getElementById('cadastro').style.display = 'none';
		document.getElementById('cadastroProfessor').style.display = 'block';
	} 
}

function exibeAtualizacaoCadastroProfessor() {  
	if(document.getElementById('main').style.display == 'block' || document.getElementById('cadastroAtividade').style.display == 'block')
	{
		document.getElementById('main').style.display = 'none';		
		document.getElementById('cadastroAtividade').style.display = 'none';
		document.getElementById('cadastroProfessor').style.display = 'block';
	}
	else 
	{
		
		document.getElementById('cadastroProfessor').style.display = 'block';
	} 
}


function validaIdentidadeAluno(){
	
	var ident = document.getElementById("alunoIdentidade");
	var url="validaLogin?alunoIdentidade="+ ident.value;
	
	var ajax = openAjax();
	ajax.open("GET",url,true);
	
	ajax.onreadystatechange = function(){
        if(ajax.status == 200){
           usernameCheck(ajax);
        }
               
         
    }
	
	ajax.send(null);

}


function exibeBuscaAluno() {  
	
	removeRowsFromTable('tableAluno')
	if(document.getElementById('main').style.display == 'block' || document.getElementById('cadastroAtividade').style.display == 'block' || document.getElementById('buscaAtividades').style.display == 'block' ){
	document.getElementById('main').style.display = 'none';
	document.getElementById('cadastroAtividade').style.display = 'none';
	document.getElementById('buscaAtividades').style.display = 'none';
	document.getElementById('buscarAluno').style.display = 'block'
	
	}else{
	 
	 document.getElementById('buscarAluno').style.display = 'block';
	 
}

}



function exibeBuscaAtividades() {  
	
	removeRowsFromTable('table')
	if(document.getElementById('main').style.display == 'block' || document.getElementById('cadastro').style.display == 'block' || document.getElementById('atividade').style.display == 'block'){
	document.getElementById('main').style.display = 'none';
	document.getElementById('cadastro').style.display = 'none';
	document.getElementById('buscaAtividades').style.display = 'block';
	document.getElementById('atividade').style.display = 'none'
	
	}else{
	 document.getElementById('buscaAtividades').style.display = 'block';
	 document.getElementById('atividade').style.display = 'none';
	 
}

}

function exibeBuscaAtividades_Professor() {  
	
	removeRowsFromTable('table')
	if(document.getElementById('main').style.display == 'block' || document.getElementById('cadastroProfessor').style.display == 'block' ||document.getElementById('buscarAluno').style.display == 'block' || document.getElementById('cadastroAtividade').style.display == 'block'){
	document.getElementById('main').style.display = 'none';
	document.getElementById('cadastroProfessor').style.display = 'none';
	document.getElementById('cadastroAtividade').style.display = 'none';
	document.getElementById('buscarAluno').style.display = 'none';
	document.getElementById('buscaAtividades').style.display = 'block';
	
	
	}else{
	 document.getElementById('buscaAtividades').style.display = 'block';
	 
	 
}

}

function exibeBuscaResultado() {  
	if(document.getElementById('main').style.display == 'block' || document.getElementById('cadastro').style.display == 'block' ){
	document.getElementById('main').style.display = 'none';
	document.getElementById('cadastro').style.display = 'none';
	document.getElementById('buscaAtividades').style.display = 'none';
	document.getElementById('buscaResultado').style.display = 'block';
	}else{
	 document.getElementById('buscaAtividades').style.display = 'none';
	 document.getElementById('buscaResultado').style.display = 'block';
}}

function desloga() {  
	document.location.href='index.jsp';	
}


function usernameCheck(ajax){
	var userExists = ajax.responseText;
	var ident = document.getElementById("alunoIdentidade");
	if(userExists=="true"){
		alert("Identidade " + ident.value+" já foi cadastrada!");
		ident.value = "";
		ident.focus();
		}		
}

function exibeCadastroAtividade() {  
	if(document.getElementById('main').style.display == 'block' || document.getElementById('cadastroProfessor').style.display == 'block'|| document.getElementById('buscarAluno').style.display == 'block'||document.getElementById('buscaAtividades').style.display == 'block'){
	document.getElementById('main').style.display = 'none';
	document.getElementById('cadastroProfessor').style.display = 'none';
	document.getElementById('buscarAluno').style.display = 'none';
	document.getElementById('buscaAtividades').style.display = 'none';
	document.getElementById('cadastroAtividade').style.display = 'block';
	}else{
		document.getElementById('cadastroProfessor').style.display = 'none';
		 document.getElementById('cadastroAtividade').style.display = 'block';
		} 
	 }
function verificacamposAtividade()
{

var nomeAtividade = document.getElementById("campoAtividadeNome").value;
var assunto = document.getElementById("selecaoTopico").option;
var arquivo = document.getElementById("selecaoArquivo").value;
var tipo = document.getElementById("selecaoTipo").option;
var operacao = document.getElementsByTagName("operacao").value;


if (nomeAtividade == "" || assunto == "" || arquivo == "" || tipo == "")
{
    alert('É necessário o preenchimento de todos os campos');
  //  return false;
}
else
{
        salvarAtividade();

}

}

function salvarAtividade()
{       
		var nomeAtividade = document.getElementById("campoAtividadeNome").value;
		var assunto = document.getElementById("selecaoTopico").value;
		var arquivo = document.getElementById("selecaoArquivo").value;
		var tipo = document.getElementById("selecaoTipo").value;
		var operacao = document.getElementById("operacao").value = "CadastroAtividade";
		var botaoCadastro = document.getElementsByTagName("botaoCadastrar").value;
		
        var exibeResultado = document.getElementById('exibeResultadoAtividade');

            var ajax = openAjax(); // Inicia o Ajax.
		
	    	//cadastroAtividade?campoAtividadeNome=    &selecaoTopico= &selecaoArquivo=   &selecaoTipo=  &botaoCadastrar=     &operacao=CadastroAtividade	            
            ajax.open("GET", "cadastroAtividade?campoAtividadeNome="+ nomeAtividade+ "&selecaoTopico="+assunto+ "&selecaoArquivo="+arquivo+   "&selecaoTipo="+tipo+  "&botaoCadastrar=" +botaoCadastro+    "&operacao=" + operacao, true); 
            ajax.onreadystatechange = function()
            {
                if(ajax.readyState == 1) // Quando estiver carregando, exibe: carregando...
                {
                    exibeResultado.innerHTML = "Inserindo";
                }
                if(ajax.readyState == 4) // Quando estiver tudo pronto.
                {
                    if(ajax.status == 200)
                    {
                        var resultado = ajax.responseText;
                        //exibeResultado.innerHTML = resultado;
                        exibeResultado.innerHTML = "Atividade cadastrada como sucesso!";
                    }
                      else
                      {
                          exibeResultado.innerHTML = "Erro na cadastramento";
                      }
                }
            }
            ajax.send(null); // submete

            document.getElementById("campoAtividadeNome").value = "";
    		document.getElementById("selecaoTopico").value="";
    		document.getElementById("selecaoArquivo").value="";
    		document.getElementById("selecaoTipo").value="";
            document.getElementById("alunoNome").setFocus = true;
}


function novalinhaAtividadesAluno(nome){
	var tbl = document.getElementById("atividadesPorAluno");
	var lastRow = tbl.rows.length;
	// if there's no header row in the table, then iteration = lastRow + 1
	var iteration = lastRow;
	var row = tbl.insertRow(lastRow);

	// left cell
	var cellLeft = row.insertCell(0);
	var elementoE = document.createElement('input');
	elementoE.setAttribute('type', 'text');
	elementoE.setAttribute("disabled","disabled");
	elementoE.setAttribute("value",nome);
	elementoE.setAttribute('size', '10');
	cellLeft.appendChild(elementoE);

	var ultimacell = row.insertCell(1);
	var op1 = document.createElement('img');
	op1.setAttribute('src', 'images/lapis.png');
	op1.setAttribute('title','Abrir');
	op1.setAttribute('width','15');
	op1.setAttribute('height','15');
	op1.onclick = function(){
		exibeAtividadeEscolhida(elementoE.getAttribute("value"));
	};
	ultimacell.appendChild(op1);
	var op2 = document.createElement('img');
	op2.setAttribute('src', 'images/sub.GIF');
	op2.setAttribute('width','15');
	op2.setAttribute('height','15');
	ultimacell.appendChild(op2);
	
	
	
}

function atualizaListaAluno(nome){
	

        var ajax = openAjax();
        var logado = document.getElementById('logado').value;
        var operacao = document.getElementById("operacao").Value = "adicionaAtividade";
    	ajax.open("GET", "cadastraAluno?nomeAtividade="+nome+"&logado="+logado+"&operacao="+operacao, true); 
    	
        ajax.onreadystatechange = function()
        {
           if(ajax.status == 200)
                {
        	
                  alert("A Atividade foi adicionada à Lista!");
                }
                  
            
        }            
        ajax.send(null); // submete

	
}

function adicionaAlunoNaBusca(nome,turma,identidade)
{
var tbl = document.getElementById('tableAluno');
var lastRow = tbl.rows.length;
var iteration = lastRow;
var row = tbl.insertRow(lastRow);

// left cell
var cellLeft = row.insertCell(0);
var elementoE = document.createElement('input');
elementoE.setAttribute("disabled","disabled");
elementoE.setAttribute("style","border-width:thick");
elementoE.setAttribute('value',nome);
elementoE.setAttribute("size", "10");
cellLeft.appendChild(elementoE);

// right cell
var cellRight = row.insertCell(1);
var el = document.createElement("input");
el.setAttribute("type", "text");
el.setAttribute("value", turma );
el.setAttribute("disabled","disabled");
el.setAttribute("style","border-width:thick");
el.setAttribute("size", "10");
cellRight.appendChild(el);

// select cell
var cellRightSel = row.insertCell(2);
var sel = document.createElement("input");
sel.setAttribute("type", "text");
sel.setAttribute("value", identidade);
sel.setAttribute("disabled","disabled");
sel.setAttribute("style","border-width:thick");
sel.setAttribute("size", "10");
cellRightSel.appendChild(sel);

var ultimacell = row.insertCell(3);
var op1 = document.createElement('img');
op1.setAttribute('src', 'images/add.GIF');
op1.setAttribute('width','15');
op1.setAttribute('height','15');
ultimacell.appendChild(op1);


}


function removeAtividade(nomeAt, nomeTable)
{
var tbl = document.getElementById(nomeTable);
var lastRow = tbl.rows.length;
while (lastRow > 1) {
	if(tbl.getRow(lastRow).value){
		
	}	
	tbl.deleteRow(lastRow - 1)
	lastRow = lastRow-1;
}
}

function addRowToTable(nome, assunto, tipo) {
	var tbl = document.getElementById('table');
	var lastRow = tbl.rows.length;
	// if there's no header row in the table, then iteration = lastRow + 1
	var iteration = lastRow;
	var row = tbl.insertRow(lastRow);

	// left cell
	var cellLeft = row.insertCell(0);
	cellLeft.style.backgroundColor = '#edf8c7';
	var elementoE = document.createElement('input');
	elementoE.style.backgroundColor = '#edf8c7';
	elementoE.setAttribute("disabled", "disabled");
	elementoE.setAttribute("type", "text");
	elementoE.setAttribute("value", nome);
	elementoE.setAttribute("size", '18');
	cellLeft.appendChild(elementoE);

	// right cell
	var cellRight = row.insertCell(1);
	cellRight.style.backgroundColor = '#edf8c7';
	var el = document.createElement('input');
	el.style.backgroundColor = '#edf8c7';
	el.setAttribute("disabled", "disabled");
	el.setAttribute("type", "text");
	el.setAttribute("value", assunto);
	el.setAttribute("size", "10");
	cellRight.appendChild(el);

	var ultimacell = row.insertCell(2);
	ultimacell.style.backgroundColor = '#edf8c7';
	var op1 = document.createElement('img');
	op1.style.backgroundColor = '#edf8c7';
	if (document.getElementById("usuario").value == "aluno") {
		op1.setAttribute('src', 'images/add.GIF');
		op1.onclick = function() {
			novalinhaAtividadesAluno(elementoE.getAttribute("value"));
			atualizaListaAluno(elementoE.getAttribute("value"));
		};
		op1.setAttribute('width', '10');
		op1.setAttribute('height', '10');
		ultimacell.appendChild(op1);
	}
	if (document.getElementById("usuario").value == "professor") {
		
		var op2 = document.createElement('img');
		op2.style.backgroundColor = '#edf8c7';
		op2.setAttribute('src', 'images/sub.GIF');
		op2.onclick = function() {
			editaAtividade(elementoE.getAttribute("value"));
		};
		op2.setAttribute('width', '10');
		op2.setAttribute('height', '10');
		ultimacell.appendChild(op2);

	}
}
function removeRowsFromTable(nomeTabela)
{
var tbl = document.getElementById(nomeTabela);
var lastRow = tbl.rows.length;
while (lastRow > 1) {
	tbl.deleteRow(lastRow - 1)
	lastRow = lastRow-1;
}
}




function geraGrafico(){

	var entrada1 = document.getElementById("entrada1").value;
	var entrada2 = document.getElementById("entrada2").value;
	var entrada3 = document.getElementById("entrada3").value;
	var entrada4 = document.getElementById("entrada4").value;
	var entrada5 = document.getElementById("entrada5").value;
	var entrada6 = document.getElementById("entrada6").value;
	
	var ajax = openAjax();
	ajax.open("GET","grafico?entrada1="+ entrada1 + "&entrada2=" + entrada2 + "&entrada3="+entrada3+ "&entrada4="+entrada4+"&entrada5="+entrada5+"&entrada6="+entrada6,true);
		
	ajax.onreadystatechange = function(){
	if(ajax.status == 200){
     
           getGrafico(ajax);
        }
               
         
    }
	
	ajax.send(null);

	
}

function getGrafico(j){
	

		var jasonData = j.responseText;
		
		var myJSONObject = eval('('+jasonData+')');
		var caminho = myJSONObject.caminhoRecurso;
		var tbl = document.getElementById('tabelaAtividade');
		var lastRow = tbl.rows.length;
		// if there's no header row in the table, then iteration = lastRow + 1
		var iteration = lastRow;
		var row = tbl.insertRow(lastRow);

		// left cell
		//var cellLeft = row.insertCell(0);
		//var elementoE = document.createElement('input');
		//elementoE.setAttribute('type', 'text');
		//elementoE.setAttribute("readonly","readonly");
		//elementoE.setAttribute("value","jdjdj");
		//elementoE.setAttribute('size', '10');
		//cellLeft.appendChild(elementoE);

		// right cell
		//var cellRight = row.insertCell(1);
		//var el = document.createElement('input');
		//el.setAttribute('type', 'text');
		//el.setAttribute('readonly', 'readonly');
		//el.setAttribute('value', "jjfjdj" );
		//el.setAttribute('size', '10');
		//cellRight.appendChild(el);

		// select cell
		//var cellRightSel = row.insertCell(2);
		//var sel = document.createElement('input');
		//sel.setAttribute('type', 'text');
		//sel.setAttribute('readonly', "readonly");
		//sel.setAttribute('value', "kdljdlkçldk");
		//sel.setAttribute('size', '10');
		//cellRightSel.appendChild(sel);

		var ultimacell = row.insertCell(0);
		var op1 = document.createElement('img');
		op1.setAttribute('src', caminho);
		op1.setAttribute('width','400');
		op1.setAttribute('height','400');
		ultimacell.appendChild(op1);	
}

function exibeAtividadeEscolhida(valor){
	
	var nomeAtividade = document.createElement("input");
	nomeAtividade.setAttribute('type', 'hidden');
	nomeAtividade.setAttribute("id", "nomeAtividade");
	nomeAtividade.setAttribute("value", valor);
	document.appendChild(nomeAtividade);
	
	
	if(document.getElementById('main').style.display == 'block' || document.getElementById('cadastro').style.display == 'block' || document.getElementById('buscaAtividades').style.display == 'block')
	{
		
		document.getElementById('main').style.display = 'none';		
		document.getElementById('cadastro').style.display = 'none';
		document.getElementById('buscaAtividades').style.display = 'none';
		document.getElementById('atividade').style.display = 'block';
	}
	else 
	{
		
		document.getElementById('atividade').style.display = 'block';
	} 
	
	
	
	var url="buscaAtividade?nomeAtividade="+ valor;
	
	
	var ajax = openAjax();
	ajax.open("GET",url,true);
	
	ajax.onreadystatechange = function(){
        if(ajax.status == 200){
        	exibeAtividade(ajax);
        }
               
         
    }
	
	ajax.send(null);
}

function recarregaAtividadeAtual(){
	var nomeAtividade = document.getElementById('nomeAtividade').value;	
	document.getElementById('resultadoAtividadesNegativo').style.display = 'none';
	document.getElementById('resultadoAtividades').style.display = 'none';
	
	
}

function exibeAtividade(ajax){

var jasonData = ajax.responseText;	
document.getElementById('atividade').innerHTML =  "";
document.getElementById('atividade').innerHTML +=  jasonData;
}


function enviarResposta(){
	
	var quantidade = document.getElementById("quantidade").value;
	
	var url="submeteResposta?";
	var variavel = "";
	for ( int = 1; int < quantidade; int++) {
		if(int==1){
		
		variavel = "resposta" + int;
		
		url = url + "resposta" + int + "=" + escape (document.getElementById(variavel).value) + "&pergunta"+int+"=" + escape(document.getElementById("pergunta"+int).value);
		
		}else{
		variavel = "resposta" + int;
		url = url + "&resposta" + int + "=" + escape (document.getElementById(variavel).value) + "&pergunta"+int+"=" + escape (document.getElementById("pergunta"+int).value);
	}}
	
	var logado = document.getElementById("logado").value;
	
	var nomeAtividade = document.getElementById("nomeAtividade").value;
	
	var operacao = document.getElementById("operacao").value = "resposta";
	
	var perguntaopiniao = escape (document.getElementById("perguntaopiniao1").value) ;
	
	var respostaopiniao = escape (document.getElementById("respostaopiniao1").value) ;
	
	url+="&operacao="+operacao+"&nomeAtividade="+nomeAtividade+"&logado="+logado+"&perguntaopiniao1="+perguntaopiniao+"&respostaopiniao1="+respostaopiniao +"&quantidade="+quantidade;
	
	var ajax = openAjax();
	ajax.open("GET",url,true);
	
	ajax.onreadystatechange = function(){
        if(ajax.status == 200){
        verificaRespostas(ajax);
        }
               
         
    }
	
	ajax.send(null);
	
	
}

function verificaRespostas(ajax){
	
var jasonData = ajax.responseText;
if(jasonData=="OK"){
	
	resultado("positivo");
	
}else{
	
	var myJSONObject = eval('('+jasonData+')');
	
	var ats = new Array();
	ats = myJSONObject.comparacao;	
	
	
	for ( var int = 0; int < ats.length; int++) {
		if((ats[int].acerto)=="errada"){
			
			mudarCor(ats[int].resposta, 'pink');
		}
		;
	}
	
	
	
	resultado("negativo");

	
}

	ajax.send(null);
}

function mudarCor(ref,cor){
	
	
	document.getElementById(ref).style.backgroundColor=cor;
	
}


function resultado(tipo){
	if(tipo=="positivo"){
		document.getElementById('main').style.display = 'none';		
		document.getElementById("atividade").style.display = 'block';
		document.getElementById("resultadoAtividadesPositivo").style.display = 'block';
		}else{
		document.getElementById('main').style.display = 'none';		
		document.getElementById("atividade").style.display = 'block';
		document.getElementById("resultadoAtividadesNegativo").style.display='block';
		
	}
}	
	
function fatorar(){
	
	
var algoritmo = document.getElementById("selecaoAlgoritmo").value;
var numero = document.getElementById("numero").value;	
	
	
	
	var url = "controladorFatorador?algoritmo="+ algoritmo + "&numero=" + numero;
	
	var ajax = openAjax();
	ajax.open("GET",url,true);
	
	ajax.onreadystatechange = function(){
        if(ajax.status == 200){
        getRespostaFatoracao(ajax);
        }
               
         
    }
	
	ajax.send(null);
	
	

}

function getRespostaFatoracao(ajax){
	
	var jasonData = ajax.responseText;
	document.getElementById('resultadoFatoracao').innerHTML =  "";
	document.getElementById('resultadoFatoracao').innerHTML +=  jasonData;
}